// only childlessness possible with Allbus 2014

// ALLBUS 2014
set more off

use "${data_allbus_2014}", clear

rename V81 sex
rename V83 birth
rename V84 age
gen syear = 2014

// "own children" yes or no
recode V527 (9=.)
gen zerobio = V527==3 if V527 < .

gen nofchildren = 0 if zerobio == 1

// education 
recode V101 (94 99 1 2 = 1 "low") (3 4 = 2 "med") (5 6 = 3 "high") , gen(isced)

// abitur 
gen abi = .
replace abi = 1 if inlist(V86,4,5)
replace abi = 0 if !inlist(V86,4,5) & V86!=99
replace abi = 1 if V95 == 1 // FH 
replace abi = 1 if V96 == 1 // Uni

// born in de
recode V377 (1 = 1) (2 = 0) (else=.), gen(borninde)
// east west (interview location)
recode V7 (1 = 2 "West") (2=1 "East"), gen(part)


rename V2 id 
keep id V870 part borninde abi isced nofchildren zerobio  birth age syear sex 

save "${tempDir}/00_Allbus_2014.dta", replace
exit

